<bugID>1381659<Summary>contentSearchUI.js should not add a beforeunload listener on all about:home pages</Summary><Description>http://searchfox.org/mozilla-central/rev/88180977d79654af025158d8ebeb8c2aa11940eb/browser/base/content/contentSearchUI.js#754

    // If a search is loaded in the same tab, ensure the suggestions dropdown
    // is hidden immediately when the page starts loading and not when it first
    // appears, in order to provide timely feedback to the user.
    window.addEventListener("beforeunload", () =&gt; { this._hideSuggestions(); });

beforeunload event listeners are very expensive, because they require exchanging a message between the parent and content processes before we can close a tab. They also disable the bfcache.

If possible, this code should be changed to avoid relying on this event.
If that's not possible, this listener should be added only when the suggestions panel is open, and removed immediately after it's closed.

Also, the whole _makeTable function looks like it could be called lazily the first time we show the panel, instead of immediately when loading the page.</Description></bugID>